using System;
using System.Collections.Generic;
using System.Linq.Expressions;
using System.Reflection;

namespace Luticate2.Auth.Interfaces
{
    public interface ILuObjectConverterDescriptor
    {
        LambdaExpression GetMemberValueExpression(MemberInfo memberInfo, IDictionary<Type, Type> types);

        LambdaExpression GetMethodValueExpression(MethodInfo methodInfo, IDictionary<Type, Type> types);
    }

    public interface ILuObjectConverterDescriptor<TTypeFrom, TTypeTo> : ILuObjectConverterDescriptor
    {
    }

    public interface ILuObjectConverterDescriptorIdentity : ILuObjectConverterDescriptor
    {
    }
}